### Property

# Ide Workspace:visible-surface

#### Declaration

    property visible-surface: Ide.Surface [ read, write ]

#### Description

The “visible-surface” property contains the currently foremost surface in the workspaces stack of surfaces. Usually, this is the editor surface, but may be other surfaces such as build preferences, profiler, etc.

Type: | `IdeSurface`
Available since: | 3.32

Setter method | `ide_workspace_set_visible_surface()`
Getter method | `ide_workspace_get_visible_surface()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no